#include <iostream>
#include <algorithm>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {	 
	long long n,k,j,i,x,y,a[10];
	cin>>n;
	for(i=0;i<n;i++){
		cin>>a[i];	
	}
	sort(a,a+n);
	if(n==2){
	if(a[0]>a[1]){
		for(i=n;i>0;i++){
		cout<<a[i]<<" ";
	}
	}
	}
	for(i=0;i<n;i++){
		cout<<a[i]<<" ";
	}	
	return 0;
}